1.8.X Kick Exploit

Discussion in 'Spigot Help' started by Kivanc59, Jul 13, 2018 at 4:04 PM.

  1. Hello I have an exploit problem on my server.
    I have no error or warning in my logs.
    I'm using Spigot 1.8.8

    Kick time:
    Code (Text):
    [17:25:41] [Server thread/INFO]: NeWminEr37 lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:41] [Server thread/INFO]: boszii lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:41] [Server thread/INFO]: Huyora lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:41] [Server thread/INFO]: Took all effects from luffy_03
    [17:25:41] [Server thread/INFO]: Took all effects from Huyora
    [17:25:41] [Server thread/INFO]: Dantehuzuni lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:41] [Server thread/INFO]: Took all effects from NyugaStrafee
    [17:25:41] [Server thread/INFO]: Couldn't take any effects from Dantehuzuni as they do not have any
    [17:25:41] [Server thread/INFO]: gavial19 lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:43] [Server thread/INFO]: luffy_03 lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:43] [Server thread/INFO]: twirl lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:43] [Server thread/INFO]: iTz_Emir lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:43] [Server thread/INFO]: KorayKayaTR lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:43] [Server thread/INFO]: MrCrazy_00 lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:43] [Server thread/INFO]: NyugaStrafee lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:44] [Server thread/INFO]: xCrayzPvP lost connection: Internal Exception: java.io.IOException: Varolan bir bağlantı uzaktaki bir ana bilgisayar tarafından zorla kapatıldı
    [17:25:51] [Server thread/INFO]: ZAZO900 lost connection: Timed out
    Sorry for my bad english.
     
  2. Spigot 1.8.8 is over 4 years old, you should update.
     
    • Agree Agree x 6
    • Winner Winner x 3
    • Like Like x 2
  3. Yea, this exploit is most likely fixed in 1.12+
     
    • Like Like x 3
    • Agree Agree x 1
  4. Uhhh let’s not.

    Can you send us the part of the log before everyone got kicked?
     
  5. If it's an exploit, there's not really much you can do besides get a plugin or update to a newer version that fixes the exploit, of course you could edit the spigot server jar your self, but that requires you to know what code needs to be changed/added/removed..etc..etc..
     
    • Like Like x 1
  6. Your server uses bungeecord?
     
  7. I'm not using bungeecord.
     
  8. For fix this exploit, you can use an different version of Spigot Server (the latest 1.12.2) with ProtocolSupport, for join with 1.8.x
     
    • Agree Agree x 1
  9. 1.8.8 is still one of the most played minecraft versions. most of the pvp players use it because of the cooldown
     
    • Optimistic Optimistic x 1
    • Agree Agree x 1
    • Optimistic Optimistic x 1
  10. Most servers don't run 1.8.x though.
    upload_2018-7-13_15-41-48.png
     
    • Agree Agree x 5
  11. [​IMG]
     
    #12 MrDienns, Jul 13, 2018 at 8:46 PM
    Last edited: Jul 13, 2018 at 8:53 PM
    • Optimistic Optimistic x 9
    • Funny Funny x 6
    • Like Like x 4
    • Creative Creative x 1
  12. No, Just no. Stop with the 1.8 V 1.12 debate instantly because I'm not having it. It's not the same no matter what you say:

    1. The hit delay is still visually there,
    2. Most mods PvP players use are NOT compatible with versions greater than 1.8,

    You are taking from a plugin stats website.. most servers disable bStats you know..
     
    • Optimistic Optimistic x 2
  13. haha lmao
     
    • Useful Useful x 1
  14. MiniDigger

    Supporter

    Why would they? I doubt many even know about that. And even if some servers disable it, I would still say that over 50k servers is a big enough sample size to say that the vast majority of servers use the latest versions. The PvP idiots who stay on ancient versions are just a vocal minority, that's why nobody (including mojang) cares about they. They can only cry instead of providing constructive criticism like the other community of this game. :shrug:
     
    • Agree Agree x 11
  15. Oh we have given constructive criticism, many a time actually. Why would they? Maybe some servers don't want to provide statistics? How many of those servers actually have player bases? How many of those servers are just development servers? How many of those servers are whitelisted, we don't know..

    Instead of making stereotypes you can just ignore threads which ask for help on 1.8.x because all it turns into is a trashed thread at the end.
     
  16. MiniDigger

    Supporter

    Well, we not only have sites like bstats, we also have quotes from mojang employees about snooper data that tell the same story. The majority uses the latest version. You can believe whatever you want, but you can't change facts.
     
    • Agree Agree x 1
    • Winner Winner x 1
    • Informative Informative x 1
  17. Gonna steal this meme for repost purposes on similar threads.
     
    • Winner Winner x 1
  18. can you also steal the optimistic ratings?
    *yes im looking at everyone from my discord constantly rating me optimistic*
     
    • Optimistic Optimistic x 11
    • Winner Winner x 1
  19. Probably that 1.8.x hacked client that floods packets to the server, which hasn't been mentioned yet. Running the packet limiter in viaversion or ncp should fix or limit the issue.
    I'd just update to 1.12.2 as there is no valid reason to cheat players out of few features.
     
    • Agree Agree x 1
    • Winner Winner x 1

Share This Page